// Java program to demonstrate working of Comparator 
// interface 
import java.util.*; 
import java.io.*; 
  
// A class to represent an Employee. 
class Employee 
{ 
    int empid; 
    String name, address; 
  
    // Constructor 
    public Employee(int empid, String name, 
                               String address) 
    { 
        this.empid = empid; 
        this.name = name; 
        this.address = address; 
    } 
  
    // Used to print employee details in main() 
    public String toString() 
    { 
        return this.empid + " " + this.name + 
                           " " + this.address; 
    } 
} 
  
class SortbyEmpId implements Comparator<Employee> 
{ 
    // Used for sorting in ascending order of 
    // empid 
    public int compare(Employee a, Employee b) 
    { 
        return a.empid - b.empid; 
    } 
} 
  
// Driver class 
class Main 
{ 
    public static void main (String[] args) 
    { 
        Employee [] arr = {new Employee(111, "Ajit", "Washington"), 
                          new Employee(131, "Shammy", "NewYork"), 
                          new Employee(121, "Jyoti", "Bangalore")}; 
  
        System.out.println("Unsorted"); 
        for (int i=0; i<arr.length; i++) 
            System.out.println(arr[i]); 
  
        Arrays.sort(arr, new SortbyEmpId()); 
  
        System.out.println("\nSorted by empid"); 
        for (int i=0; i<arr.length; i++) 
            System.out.println(arr[i]); 
    } 
} 
